V3 Manage External Organization Site URLs

Use this API to manage site URLs for the given external organization.

This API added with the 25.4 release of Encompass.

Usage Notes

When action=add, the following attributes are required: urlId, channelTypes
When action=update or action=delete, the following attribute is required: id
To retrieve a list of site URLs assigned to a given org, use GET/encompass/v3/settings/externalOrganizations/tpos/{orgId}?entities=TPOCSetup API.

Path Params
string
required

Unique organization ID.

Query Params
string

Action to perform. Supported values are:
add - Adds a URL.
update - Updates a URL.
delete - Deletes the specified URL.

string

Optional. View type parameter. Enumerations: entity, id
When no view parameter is provided, the API will return 204 - No Content with no response body.

Body Params
string

Unique identifier for the TPOC setup record of the external organization.

string

Unique Identifier for the site url.

string

The siteId of the site URL.

string

The uniform resource locator (URL) of the TPO site.

channelTypes
array of strings

List of channel types supported.(e.g Broker, correspondent).

channelTypes
Headers
string
required

Bearer token

Responses

204

No Content

400

Bad Request

403

Forbidden

404

Not Found

Language
URL
Response
Choose an example:
application/json